function LoadBirthdayManager()
{
	createmycalander();
	var onNewEvent = function(event, calendar, originalEvent) {
		doTransaction('add', event, calendar, null, null);
	  }
	  var args = new Object();
	  args.onOk = onNewEvent;
	  args.AlarmType="next7Days";
	          var instApply = getPrefSafe("browser.BirthdayManager.instantApply", false);

        var features = "chrome,titlebar,toolbar,centerscreen," +
                       (instApply ? "dialog=no" : "modal");
	openDialog("chrome://birthdaymanager/content/alarm.xul", "Birthday Alarm", features,args);
	  //args.AlarmType="today";
	  	//openDialog("chrome://birthdaymanager/content/alarm.xul", "Birthday Alarm", features,args);
//	  args.AlarmType="tomorrow";
//	  	openDialog("chrome://birthdaymanager/content/alarm.xul", "Birthday Alarm", features,args);
		
}


function createmycalander()
{
    var cal_name = "BirthdayManager";
    //var cal_color = '#ff0000';
    var type = 'local';
    var provider;
    var uri;
    if (type == 'local') {
        provider = 'storage';
        uri = 'moz-profile-calendar://?id=2';
    } else {
        uri = document.getElementById("calendar-uri").value;
        provider = document.getElementById('calendar-format').selectedItem.value;
    }
    var calManager = getCalendarManager();
    var cals = calManager.getCalendars({});
    do {
        var already = cals.filter(function (c) { return c.uri.spec == uri; })
        if (already.length) {
            if (type != 'local') {
                // signalError("Already have calendar at this URI.");
                Components.utils.reportError("Already have calendar with URI " + uri);
                return false;
            }
            uri = uri.replace(/id=(\d+)/,
                              function (s, id) { return "id=" + (Number(id) + 1); });
        }
    } while (already.length);
    
        do {
        var already1 = cals.filter(function (c) { return c.name == cal_name; })
        if (already1.length) {
return false;
        }
    } while (already1.length);
    dump(cal_name + "\n");
    //dump(cal_color + "\n");
    dump(uri + "\n");
    dump(provider + "\n");

    try {
        var newCalendar = calManager.createCalendar(provider, makeURL(uri));
    } catch (ex) {
        dump(ex);
        return false;
    }
    calManager.registerCalendar(newCalendar);
    
    newCalendar.name = cal_name;

    //calManager.setCalendarPref(newCalendar, 'color', cal_color);

    return true;
}
function getBirthdaysFromCal(aCal) {
        aCal.getItems(Components.interfaces.calICalendar.ITEM_FILTER_ALL_ITEMS,
                      0, null, null, getListener);
}

function OpenBirthdayManager()
{
    var onNewEvent = function(event, calendar, originalEvent) {
        doTransaction('add', event, calendar, null, null);
    }
    var args = new Object();
    args.onOk = onNewEvent;

    // Check to see if the prefwindow is already open
    var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                       .getService(Components.interfaces.nsIWindowMediator);

    var win = wm.getMostRecentWindow("Calendar:BirthdayManager");

    if (win) {
        win.focus();
    } else {
        // The prefwindow should only be modal on non-instant-apply platforms
        var instApply = getPrefSafe("browser.BirthdayManager.instantApply", false);

        var features = "chrome,titlebar,toolbar,centerscreen," +
                       (instApply ? "dialog=no" : "modal");

        var url = "chrome://birthdaymanager/content/birthdaymanager.xul";

        openDialog(url, "Birthday Manager", features,args);
    }
}
//window.addEventListener("load", LoadBirthdayManager, false);
LoadBirthdayManager();